﻿* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

body {
    font-family: 'Poppins', sans-serif;
    overflow-x: hidden;
}

.terms-grid-container {
    width: 100%;
    justify-content: center;
    align-items: center;
    place-items: center;
    text-align: center;
}

.terms-flex-column {
    display: flex;
    flex-direction: column;
    row-gap: 32px;
    padding: 30px 10px;
    justify-content: center;
    align-items: center;
    place-items: center;
}

.term-flex-column {
    display: flex;
    flex-direction: column;
    row-gap: 20px;
    justify-content: center;
    align-items: center;
    place-items: center;
}

.term {
    font-family: "Inter", sans-serif;
    text-align: justify;
    font-weight: 400;
    font-size: 14px;
    line-height: 1.4;
    width: 70%;
}

.btn-row {
    display: flex;
    flex-direction: row;
}

.button {
    height: 60px;
    font-size: 18px;
    font-family: Poppins;
    display: flex;
    padding: 30px;
    align-items: center;
    gap: 8px;
    justify-content: center;
}

.terms-btn-primary {
    border-top-left-radius: 16px;
    border-bottom-left-radius: 16px;
    border-top-right-radius: 16px;
    border-bottom-right-radius: 16px;
    background: #d72f2f;
    border: 1px solid #d72f2f;
    color: #fff;
    text-shadow: 0 0 4px #fffc;
    min-width: 450px;
}

    .terms-btn-primary:hover {
        background: #d72f2fdd;
        border: 1px solid #d72f2fdd;
        color: #fff;
        text-shadow: 0 0 4px #fffc;
    }

    .terms-btn-primary:disabled {
        background: #ddd;
        border: 1px solid #ddd;
        color: #7d7d7d;
        opacity: 0.5;
        cursor: not-allowed;
    }

.terms-btn-secondary {
    background: #fff;
    border: transparent;
    border-top-right-radius: 16px;
    border-bottom-right-radius: 16px;
    border-top-left-radius: 16px;
    border-bottom-left-radius: 16px;
    color: #d72f2f;
    padding: 30px;
    min-width: 450px;
}

    .terms-btn-secondary:hover {
        background: #d72f2f19;
        border: 1px solid #d72f2f;
        color: #d72f2f;
    }

.tac-text {
    font-size: 35px;
}

@media screen and (max-width: 1024px) {
    .terms-btn-primary {
        min-width: 330px;
        padding: 5px;
    }

    .terms-btn-secondary {
        min-width: 330px;
        padding: 30px;
        padding: 5px 15px;
    }
}

@media screen and (max-width: 768px) {
    .terms-btn-primary {
        min-width: 260px;
        padding: 5px;
    }

    .terms-btn-secondary {
        min-width: 260px;
        padding: 30px;
        padding: 5px 15px;
    }

    .tac-text {
        font-size: 30px;
    }
}

@media screen and (max-width: 500px) {
    .terms-flex-column {
        row-gap: 20px;
        padding: 60px 30px;
    }

    .term {
        font-size: 13px;
        width: 100%;
    }

    .button {
        height: 50px;
        font-size: 14px;
        padding: 5px;
    }

    .terms-btn-primary {
        min-width: 180px;
        padding: 5px;
    }

    .terms-btn-secondary {
        min-width: 180px;
        padding: 30px;
        padding: 5px 15px;
    }

    .tac-text {
        font-size: 20px;
    }
}

@media screen and (max-width: 320px) {
    .terms-btn-primary {
        min-width: 130px;
        padding: 5px;
    }

    .terms-btn-secondary {
        min-width: 130px;
        padding: 30px;
        padding: 5px 15px;
    }

    .terms-block-container.terms-flex-column > h1 {
        font-size: 30px;
    }
}
